# maak/plugs/test.py
#
#

""" test plugin. """

## maak imports

from oolib import tests, Event

## test commands

def test(event): event.reply("yooo %s !!" % event.nick)

tests.register("test", test)

## test_json command

def test_json(event): event.reply(event.make_json(indent=True))

tests.register("test_json", test_json)

##  test_load command

def test_load(event):
     e = Event()
     e.txt= "this is a test and nothing more than a test..."
     e.save()
     e.load()
     event.reply(e.make_json())
     event.display(e)

tests.register("test_load", test_load)

## test_unicode command

def test_unicode(event):
    event.reply("Đíť ìš éèñ ëņċøďıńğŧęŝţ· .. にほんごがはなせません .. ₀0⁰₁1¹₂2²₃3³₄4⁴₅5⁵₆6⁶₇7⁷₈8⁸₉9⁹ .. ▁▂▃▄▅▆▇▉▇▆▅▄▃▂▁ .. .. uǝʌoqǝʇsɹǝpuo pɐdı ǝɾ ʇpnoɥ ǝɾ - <AcidNerd> because of é or è")

tests.register("test_unicode", test_unicode)

## test_save command

def test_save(event): event.reply("saving") ; event.save()

tests.register("test_save", test_save)
